<?xml version="1.0"?>

<!--
This file contains information related to printer capabilities and features.  It is reccommended
that this file NOT be edited directly, but used in conjunction with HP's Web JetAdmin printer
installation utility or with the HP Printing System Customization Utility contained on the
CDROM that shipped with the product.

Editing this file by hand may result in unexpected feature settings in the printer driver UI.
-->
<device>
    <software>
        <component>
            dmc_driver
            <component_header>
                <config_file>hplj8550.cfg</config_file>
                    <config_file_version>1.0.0.8</config_file_version>
                <!-- Modified Date 11-Oct-2003 -->
                <config_timestamp/>
                <config_version>1.0</config_version>
                <!-- Resource DLL Identifier-->
                <component_resource>hpbcfgre.dll</component_resource>
            </component_header>
            <current>
                <physical>
                </physical>
                <printing>
                </printing>
                <custom/>
            </current>
            <!-- Pre-Configuration Settings Stored in <Current> Element -->
            <factory>
                <physical resource_id="18">

                    <!-- The bundles feature needs to be first in the physical features list
                         because of a defect found when exporting from the driver.  If features
                         with forced constraints are not in the right order, there is good
                         chance that the forced item macro will cause an unwanted change to
                         the feature that is being forced to change. -->

                <!-- Typical Features - IN REVERSE ORDER FROM DISPLAY!!! -->

                    
                    <!-- PrinterHardDisk -->
                    <feature resource_id="663" caption_id="10050" typical="TRUE">
                        PrinterHardDisk
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                        </option>
                    </feature>
                    <!-- Memory -->
                    <!-- OptionalPaperSource -->
            <feature resource_id="710" caption_id="10086" typical="TRUE">
            OptionalPaperSources
                      <current_option>None</current_option>
            <option resource_id="8">
            None
                <constraint>OPS_None_InputBin_Forbid</constraint>
                <constraint>OPS_None_Set</constraint>
            </option>
            <option resource_id="734">
            C4781
                <constraint>OPS_Tray_1500_InputBin_Forbid</constraint>
            <constraint>OPS_Tray_2000_Set</constraint>
            </option>
            <option resource_id="733">
            1000 Sheet Input Tray
                <constraint>OPS_Tray_1500_InputBin_Forbid</constraint>
            <constraint>OPS_Tray_1000_Set</constraint>
            </option>
            </feature>

                    <!-- DuplexUnit -->
                    <feature resource_id="662" caption_id="1048" typical="TRUE">
                        DuplexUnit
                        <current_option>NotInstalled</current_option>
                        <option resource_id="1">
                            Installed
                        </option>
                        <option resource_id="2">
                            NotInstalled
                <constraint>DuplexUnit_Duplex</constraint>
                        </option>
                    </feature>
                    <feature resource_id="500" caption_id="10049" typical="true">
            AccessoryOutputBins
            <current_option>NotInstalled</current_option>
            <option resource_id="2">
                NotInstalled
            </option>
            <option resource_id="503">
                C4785
                <constraint>OPS_notequal_1000sheettray</constraint>
            </option>
            <option resource_id="504">
                C4779
                <constraint>OPS_notequal_1000sheettray</constraint>
            </option>
            <option resource_id="505">
                C4788
                <constraint>OPS_notequal_1000sheettray</constraint>
            </option>
            </feature>

        <feature>
            Tray2
                    <current_option>NotInstalled</current_option>
            <option>
                NotInstalled
            </option>
            <option>
                Installed
            </option>
        </feature>


                    <!-- Tray4 -->
            <feature editable="FALSE">
                Tray4
                        <current_option>NotInstalled</current_option>
            <option>
                NotInstalled
            </option>
            <option>
                Tray4_1000
            </option>
            <option>
                Tray4_2000
            </option>
            </feature>
                    
                    <!-- DeviceIsMopier -->
                    <!-- JobRetention -->
                    <feature resource_id="997" caption_id="10051">
                        JobRetention
                        <current_option>Disabled</current_option>
                        <option resource_id="4" >
                            Enabled
                            <constraint>JobRetention_Enabled_Hardware</constraint>
                        </option>
                        <option resource_id="5" >
                            Disabled
                        </option>
                    </feature>
                </physical>

                <!-- Printing Features -->
                <printing resource_id="17">

                <!-- Typical Features - IN REVERESE ORDER FROM DISPLAY!!! -->

                    
                    
                    <!-- PrintColorAsGray -->
                    <feature resource_id="836" caption_id="10056" typical="TRUE">
                        PrintColorAsGray
                        <current_option>FALSE</current_option>
                        <option resource_id="6">
                            TRUE
                        </option>
                        <option resource_id="5">
                            FALSE
                        </option>
                    </feature>
                    <!-- EconoMode -->
                    <feature resource_id="782" caption_id="10020" typical="TRUE">
                        EconoMode
                        <current_option>FALSE</current_option>
                        <option resource_id="10">
                            TRUE
                        </option>
                        <option resource_id="9">
                            FALSE
                        </option> 
                    </feature>
                    <!-- Print Quality -->
                     <feature resource_id="760" caption_id="1019" typical="TRUE">
                        PrintQuality
            <current_option>Default</current_option>
            <option resource_id="3">
                 Default
            </option>
                        <option resource_id="768">
                            Best
                        </option>
                        <option editable="FALSE">
                            Custom
                        </option>
                    </feature>
                    <!-- Orientation -->
                    
                    <!-- OutputBin -->
            
                    <!-- InputBin -->
                    <feature resource_id="400" caption_id="10018" typical="TRUE">
                        InputBin
                        <current_option>PrinterSelect</current_option>
                        <option resource_id="430">
                            PrinterSelect
                        </option>
            <option resource_id="401">
                ManualFeed
            </option>
                        <option resource_id="408">
                            Tray1
                        </option>
                        <option resource_id="409">
                            Tray2
                            <constraint>InputBin_Tray2</constraint>
                            <constraint>InputBin_Tray2_Size</constraint>
                            <constraint>InputBin_Tray2_Type</constraint>
                        </option>
                        <option resource_id="410">
                            Tray3
                            <constraint>InputBin_Tray3_Size</constraint>
                            <constraint>InputBin_Tray3_Type</constraint>
                        </option>
                        <option resource_id="427">
                            Tray4
                            <constraint>InputBin_Tray4</constraint>
                            <constraint>InputBin_Tray4_Size</constraint>
                            <constraint>InputBin_Tray4_Type</constraint>
                        </option>
                    </feature>
                    <!-- MediaType -->
                    <feature resource_id="550" caption_id="10017" typical="TRUE">
                        MediaType
                        <current_option>AUTO</current_option>
                        <option resource_id="425">
                            AUTO
                        </option>
                        <option resource_id="566">
                            BOND
                        </option>
                        <option resource_id="570">
                            CARDSTOCK_GP
                            <constraint>MediaType_CARDSTOCK_GP_InputBin</constraint>
                            <constraint>MediaType_CARDSTOCK_GP_Duplex</constraint>
                        </option>
                        <option resource_id="568">
                            COLOR
                        </option>
                        <option resource_id="563">
                            GLOSS
                        </option>
                        <option resource_id="565">
                            LABELS
                            <constraint>MediaType_LABELS_Duplex</constraint>
                            <constraint>MediaType_LABELS_GP_InputBin</constraint>
                        </option>
                        <option resource_id="561">
                            LETTERHEAD
                        </option>
                        <option resource_id="559">
                            PLAIN
                        </option>
                        <option resource_id="560">
                            PREPRINTED
                        </option>
                        <option resource_id="564">
                            PREPUNCHED
                        </option>
                        <option resource_id="567">
                            RECYCLED
                        </option>
                        <option resource_id="562">
                            TRANSPARENCY
                            <constraint>MediaType_TRANSPARENCY_Duplex</constraint>
                            <constraint>MediaType_TRANSPARENCY_GP_InputBin</constraint>
                        </option>
                        <option resource_id="553">
                            28_POUND_TYPE1
                        </option>
                        <option resource_id="554">
                            28_POUND_TYPE2
                        </option>
                        <option resource_id="569">
                            HEAVY_GREATER_28POUNDS
                            <constraint>MediaType_HEAVY_GP_InputBin</constraint>
                            <constraint>MediaType_TRANSPARENCY_Duplex</constraint>
                        </option>
                        <option resource_id="551">
                            ENVELOPE
                            <constraint>MediaType_ENVELOPE_Duplex</constraint>
                            <constraint>MediaType_ENVELOPE_GP_InputBin</constraint>
                        </option>
                    </feature>
                    <!-- PaperSize-->
                    <feature resource_id="200" caption_id="10012" typical="TRUE">
                        PaperSize
                        <current_option>LETTER</current_option>
            <option resource_id="209">
                LETTER
            </option>
            <option resource_id="213">
                LEGAL
            </option>
            <option resource_id="215">
                EXECUTIVE
                <constraint>PaperSize_InputBin</constraint>
            </option>
            <option resource_id="225">
                11X17
                <constraint>PaperSize_InputBin_TRAY2</constraint>
            </option>
            <option resource_id="217" >
                A4
                </option>
            <option resource_id="216">
                A3
                <constraint>PaperSize_InputBin_TRAY2</constraint>
            </option>
            <option resource_id="228">
                ENV_10
                <constraint>PaperSize_InputBin</constraint>
                <constraint>PaperSize_ENV10_Duplex</constraint>
            </option>
            <option resource_id="236">
                ENV_C5
                <constraint>PaperSize_InputBin</constraint>
                <constraint>PaperSize_ENV_C5_Duplex</constraint>
            </option>
            <option resource_id="242">
                ENV_B5
                <constraint>PaperSize_InputBin</constraint>
                <constraint>PaperSize_ENV_B5_Duplex</constraint>
            </option>
            <option resource_id="235">
                ENV_DL
                <constraint>PaperSize_InputBin</constraint>
                <constraint>PaperSize_ENV_DL_Duplex</constraint>
            </option>
            <option resource_id="245">
                ENV_MONARCH
                <constraint>PaperSize_InputBin</constraint>
                <constraint>PaperSize_ENV_MONARCH_Duplex</constraint>
            </option>
            <option resource_id="219">
                A5
                <constraint>PaperSize_InputBin</constraint>
            </option>
                        <option resource_id="221">
                                B5_JIS
                <constraint>PaperSize_InputBin</constraint>
                        </option>
                        <option resource_id="220">
                                B4_JIS
                        </option>
                        <option resource_id="274">
                                DBL_JAPANESE_POSTCARD
                                <constraint>PaperSize_DBL_JAPANESE_POSTCARD_InputBin</constraint>
                                <constraint>PaperSize_DBL_JAPANESE_POSTCARD_Duplex</constraint>
                        </option>
                        <option resource_id="327">
                                EXECUTIVE_JIS
                        <constraint>PaperSize_16K_Duplex</constraint>
                <constraint>PaperSize_InputBin</constraint>
                        </option>
                        <option resource_id="208">
                                16K
                        <constraint>PaperSize_16K_Duplex</constraint>
                <constraint>PaperSize_InputBin</constraint>
                </option>
                        <option resource_id="354">
                                8K
                        <constraint>PaperSize_8K_Duplex</constraint>
                <constraint>PaperSize_InputBin</constraint>
                        </option>
                    </feature>
                    <!-- Duplex -->
                    <feature resource_id="1000" caption_id="10014" typical="TRUE">
                        Duplex
                        <current_option>FALSE</current_option>
                        <option resource_id="10" >
                            TRUE
                            <constraint>Duplex_MediaType</constraint>
                            <constraint>Duplex_PaperSize</constraint>
                <constraint>Duplex_DuplexUnit</constraint>
                <!-- DuplexEdge -->
                <feature resource_id="1001" caption_id="10063" typical="TRUE">
                    DuplexEdge
                <current_option>LongEdge</current_option>
                <option resource_id="1002" >
                    LongEdge
                </option>
                <option resource_id="1003" >
                    ShortEdge
                </option>
            </feature>
                        </option>
                        <option resource_id="9" >
                            FALSE
                        </option>
                    </feature>

                <!-- Non-Typical Features -->

                    <!-- PageOrder -->
                   
                    <!-- NUp Features-->
                    <!-- NUpChoice -->
                   
                  
                    <!-- BookletPrintingChoice -->
                   
                    <!-- BookletTargetSize -->
                   
                   
                    <!-- TTAsBitmapSetting-->
                   
                    <!-- TextAsBlack-->
                  
                    <!-- FitToOtherSizeChoice -->
                    
                    <!-- ScalePageChoice -->
                    
                    <!-- ScaleChoice -->
                   
                    <!-- Watermarks -->
                   
                    <!-- MediaType -->
                                       
                    <!-- Halftone (UNIDRV)-->
                    
                    <!-- ColorSmart Features -->
                    <!-- ColorSmart -->
                   
                   
                    <!-- MirrorPrint (PSCRIPT)-->
                   
                </printing>
                <custom/>
                <!-- CONSTRAINT DEFINITIONS -->
                <constraints>
                <!-- PaperSize _ InputBin Constraints: -->

            <constraint>
                        OPS_notequal_1000sheettray
                        <forbids>
                            <item>physical/OptionalPaperSources == 1000 Sheet Input Tray</item>
                        </forbids>
                    </constraint>



                    <constraint>
                        PaperSize_A3_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                        </forbids>
                    </constraint>

            <constraint>
                        PaperSize_InputBin_tray2
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                        </forbids>
                    </constraint>

            <constraint>
                        PaperSize_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>

                    <constraint>
                        PaperSize_ENV10_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_B5_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_C5_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_DL_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_MONARCH_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <!-- <constraint>
                        PaperSize_425_X_6_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_12X18_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>-->
                    <!-- PaperSize _ Duplex Constraints: -->
                    <constraint>
                        PaperSize_ENV_10_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_B5_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV10_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_C5_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_DL_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_ENV_MONARCH_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_DBL_JAPANESE_POSTCARD_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <!--<constraint>
                        PaperSize_425_X_6_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_12X18_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>-->
                    <constraint>
                        PaperSize_A5_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_16K_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_8K_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        PaperSize_EXECUTIVE_JIS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <!-- InputBin _ PaperSize Constraints -->
                    <constraint>
                        InputBin_Tray2_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>

                            <item>printing/PaperSize == A3</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == 11X17</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == 8K</item>

                        </forbids>
                    </constraint>
        <constraint>
                        InputBin_Tray2
                        <requires>
                            <item>physical/tray2 == Installed</item>
                        </requires>
                </constraint>


                    <constraint>
                        InputBin_Tray3
                        <forbids>
                <item>physical/OptionalPaperSources == None</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>

                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == 8K</item>


                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4
                        <forbids>
                <item>physical/OptionalPaperSources == None</item>
                <item>physical/OptionalPaperSources == C7130</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_Size
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>

                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == 8K</item>

                        </forbids>
                    </constraint>
                    <!-- InputBin _ MediaType Constraints -->
                    <constraint>
                        InputBin_Tray2_Type
                        <forbids>
                            <item>printing/MediaType == CARDSTOCK_GP</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == HEAVY_GP</item>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == HEAVY_GREATER_28POUNDS</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray3_Type
                        <forbids>
                            <item>printing/MediaType == CARDSTOCK_GP</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == HEAVY_GP</item>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == HEAVY_GREATER_28POUNDS</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        InputBin_Tray4_Type
                        <forbids>
                            <item>printing/MediaType == CARDSTOCK_GP</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == HEAVY_GLOSSY_GP</item>
                            <item>printing/MediaType == HEAVY_GP</item>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == TRANSPARENCY</item>
                            <item>printing/MediaType == HEAVY_GREATER_28POUNDS</item>
                        </forbids>
                    </constraint>

                    <!-- MediaType _ InputBin Constraints -->
                    <constraint>
                        MediaType_TRANSPARENCY_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_LABELS_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>                    <constraint>
                        MediaType_CARDSTOCK_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>                    <constraint>
                        MediaType_HEAVY_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>                    <constraint>
                        MediaType_ENVELOPE_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>




                    <constraint>
                        MediaType_CARDSTOCK_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_ENVELOPE_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_HEAVY_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_HEAVY_GLOSSY_GP_InputBin
                        <forbids>
                            <item>printing/InputBin == Tray2</item>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>

                    <!-- MediaType _ Duplex Constraints -->
                    <constraint>
                        MediaType_CARDSTOCK_GP_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_HEAVY_GP_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_LABELS_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_TRANSPARENCY_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_ENVELOPE_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        MediaType_GLOSSY_FILM_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>


                    <!-- Duplex MediaType Constraints -->
                    <constraint>
                        Duplex_MediaType
                        <forbids>
                            <item>printing/MediaType == ENVELOPE</item>
                            <item>printing/MediaType == CARDSTOCK_GP</item>
                            <item>printing/MediaType == LABELS</item>
                            <item>printing/MediaType == TRANSPARENCY</item>
                            <item>printing/MediaType == HEAVY_GREATER_28POUNDS</item>
                        </forbids>
                    </constraint>

                    <!-- Duplex _ PaperSize Constraints -->
                    <constraint>
                        Duplex_PaperSize
                        <forbids>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == 8K</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>

                        </forbids>
                    </constraint>

                    <!-- Scaling Constraints -->
                    <constraint>
                        FitToOtherSizeChoice_FitToOtherSize
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <constraint>
                        ScalePageChoice_ScaleToFit
                        <forbids>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </forbids>
                    </constraint>
                    <constraint>
                        ScaleChoice_100
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>

                    <!-- JobRetention Constraints -->
                    <constraint>
                        JobRetention_Enabled_Hardware
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                    </constraint>

                    <!-- DeviceIsMopier Constraints -->
                    <constraint>
                        DeviceIsMopier_TRUE_Hardware
                        <requires>
                            <item>physical/PrinterHardDisk == Installed</item>
                        </requires>
                        <requires>
                            <item>physical/Memory (ge) 128</item>
                        </requires>
                    </constraint>

                    <!-- Other Duplex Constraints -->
                    <constraint>
                        Duplex_DuplexUnit
                        <requires>
                            <item>physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint>
                        DuplexUnit_Duplex
                        <forbids>
                            <item>printing/Duplex == TRUE</item>
                        </forbids>
                    </constraint>

                    <!-- Booklet Printing Constraints -->
                    <constraint>
                        BookletPrintingChoice_Duplex
                        <requires>
                            <item>printing/Duplex == TRUE</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_FitToOtherSizeChoice
                        <requires>
                            <item>printing/FitToOtherSizeChoice == PrintActualSize</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_ScaleChoice
                        <requires>
                            <item>printing/ScaleChoice == 100</item>
                        </requires>
                    </constraint>
                    <constraint>
                        BookletPrintingChoice_PaperSize
                        <forbids>
                            <item>printing/PaperSize == EXECUTIVE</item>
                            <!--<item>printing/PaperSize == 11X17</item>-->
                            <!--<item>printing/PaperSize == 12X18</item>-->
                            <!--<item>printing/PaperSize == A3</item>-->
                            <item>printing/PaperSize == A5</item>
                            <item>printing/PaperSize == ENV_10</item>
                            <item>printing/PaperSize == ENV_C5</item>
                            <item>printing/PaperSize == ENV_B5</item>
                            <item>printing/PaperSize == ENV_DL</item>
                            <item>printing/PaperSize == ENV_MONARCH</item>
                            <item>printing/PaperSize == B5_JIS</item>
                            <item>printing/PaperSize == DBL_JAPANESE_POSTCARD</item>
                            <item>printing/PaperSize == EXECUTIVE_JIS</item>
                            <item>printing/PaperSize == 16K</item>
                            <item>printing/PaperSize == 8K</item>
                        </forbids>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        BookletPrintingChoice_BookletTargetSize_Set
                        <requires>
                            <item>printing/PaperSize == LETTER</item>
                            <item force="TRUE">printing/BookletTargetSize == LETTER</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == LEGAL</item>
                            <item force="TRUE">printing/BookletTargetSize == LEGAL</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A4</item>
                            <item force="TRUE">printing/BookletTargetSize == A4</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == A3</item>
                            <item force="TRUE">printing/BookletTargetSize == A3</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == B4_JIS</item>
                            <item force="TRUE">printing/BookletTargetSize == B4_JIS</item>
                        </requires>
                        <requires>
                            <item>printing/PaperSize == 11X17</item>
                            <item force="TRUE">printing/BookletTargetSize == 11X17</item>
                        </requires>
                    </constraint>
                    <constraint>
                        JobRetentionModeChoice_JobRetention
                        <requires>
                            <item>physical/JobRetention == Enabled</item>
                        </requires>
                    </constraint>

                    <!-- Tray Interaction Constraints -->
                    <constraint>
                        Tray4_Installed_Tray3
                        <requires>
                            <item>physical/Tray3 == Installed</item>
                        </requires>
                    </constraint>

                    <!-- Bundles / OPS / Tray Constraints and Macros -->
                    <constraint OnExportOnly="TRUE">
                        Bundle_DuplexUnit_Default
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == NotInstalled</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_DuplexUnit_Installed
                        <requires>
                            <item force="TRUE">physical/DuplexUnit == Installed</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Memory_96
                        <requires>
                            <item force="TRUE">physical/Memory == 96</item>
                        </requires>
                    </constraint>
                    <constraint OnExportOnly="TRUE">
                        Bundle_Memory_160
                        <requires>
                            <item force="TRUE">physical/Memory == 160</item>
                        </requires>
                    </constraint>
                        <constraint OnExportOnly="TRUE">
                        Bundle_OPS_Default
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == None</item>
                        </requires>
            </constraint>
                        <constraint OnExportOnly="TRUE">
                        Bundle_OPS_C7130
                        <requires>
                            <item force="TRUE">physical/OptionalPaperSources == C7130</item>
                        </requires>
            </constraint>
            <constraint OnExportOnly="TRUE">
                        Bundle_PrinterHardDisk_Default
                        <requires>
                            <item force="TRUE">physical/PrinterHardDisk == NotInstalled</item>
                        </requires>
            </constraint>
            <constraint OnExportOnly="TRUE">
                        Bundle_PrinterHardDisk_Installed
                        <requires>
                            <item force="TRUE">physical/PrinterHardDisk == Installed</item>
                        </requires>
            </constraint>
            <constraint OnExportOnly="TRUE">
                        Bundle_DeviceIsMopier_Default
                        <requires>
                            <item force="TRUE">physical/DeviceIsMopier == NotInstalled</item>
                        </requires>
            </constraint>
            <constraint OnExportOnly="TRUE">
                        Bundle_DeviceIsMopier_Installed
                        <requires>
                            <item force="TRUE">physical/DeviceIsMopier == Installed</item>
                        </requires>
            </constraint>
                        <constraint OnExportOnly="TRUE">
                        OPS_Tray3_Installed
                        <requires>
                            <item force ="TRUE">physical/ Tray3 == Installed</item>
                        </requires>
                        </constraint>

            <constraint OnExportOnly="TRUE">
                OPS_Tray4_1000_Set
            <requires>
                <item force="TRUE">physical/Tray4 == Tray4_1000</item>
            </requires>
            </constraint>

            <constraint OnExportOnly="TRUE">
                OPS_Tray4_2000_Set
            <requires>
                <item force="TRUE">physical/Tray4 == Tray4_2000</item>
            </requires>
            </constraint>

            <constraint OnExportOnly="TRUE">
                OPS_None_Set
                <requires>
                    <item force="TRUE">physical/Tray4 == NotInstalled</item>
                    <item force="TRUE">physical/DuplexUnit == NotInstalled</item>
                    <item force="TRUE">physical/Tray2 == NotInstalled</item>

                </requires>
            </constraint>

            <constraint OnExportOnly="TRUE">
                OPS_Tray_2000_Set
                <requires>
                    <item force="TRUE">physical/Tray4 == Tray4_2000</item>
                </requires>
            </constraint>

            <constraint OnExportOnly="TRUE">
                OPS_Tray_1000_Set
                <requires>
                    <item force="TRUE">physical/Tray4 == Tray4_1000</item>
                    <item force="TRUE">physical/AccessoryOutputBins == NotInstalled</item>
                    <item force="TRUE">physical/DuplexUnit == Installed</item>
                    <item force="TRUE">physical/Tray2 == Installed</item>
                </requires>
            </constraint>

            
                        <constraint OnExportOnly="TRUE">
                            OPS_Tray3_Tray4_Installed
                        <requires>
                            <item force ="TRUE">physical/Tray3 == Installed</item>
                            <item force ="TRUE">physical/Tray4 == Installed</item>
                        </requires>
                        </constraint>
                        <constraint OnExportOnly="TRUE">
                            OPS_Tray4_NotInstalled
                        <requires>
                            <item force ="TRUE">physical/Tray4 == NotInstalled</item>
                        </requires>
                       </constraint>
                        <constraint OnExportOnly="TRUE">
                            OPS_Tray3_NotInstalled
                        <requires>
                            <item force ="TRUE">physical/Tray3 == NotInstalled</item>
                        </requires>
                        </constraint>
                        <constraint>
                            OPS_None_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray3</item>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                        </constraint>
                        <constraint>
                            OPS_Tray4_InputBin_Forbid
                        <forbids>
                            <item>printing/InputBin == Tray4</item>
                        </forbids>
                    </constraint>
                </constraints>
            </factory>
            <export>
                <physical/>
                <printing/>
                <custom/>
            </export>
        </component>
    </software>
</device>
